JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioProcessorValueTreeState::Listener Struct Referenceabstract
juce_audio_processors » utilities

A listener class that can be attached to an AudioProcessorValueTreeState. More...

`#include <juce_AudioProcessorValueTreeState.h>`

## Public Member Functions
virtual | ~Listener ()=default
virtual void | parameterChanged (const String &parameterID, float newValue)=0
| This callback method is called by the AudioProcessorValueTreeState when a parameter changes.

## Detailed Description

A listener class that can be attached to an AudioProcessorValueTreeState.

Use AudioProcessorValueTreeState::addParameterListener() to register a callback.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual AudioProcessorValueTreeState::Listener::~Listener | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ parameterChanged()

virtual void AudioProcessorValueTreeState::Listener::parameterChanged | ( | const String & | parameterID,
|  | float | newValue )
| pure virtual

This callback method is called by the AudioProcessorValueTreeState when a parameter changes.

Within this call, retrieving the value of the parameter that has changed via the getRawParameterValue() or getParameter() methods is not guaranteed to return the up-to-date value. If you need this you should instead use the newValue parameter.

The documentation for this struct was generated from the following file:

- juce_AudioProcessorValueTreeState.h